Skip to content
View as Markdown

GET Dynamic Products​

GET
/campaigns-pro/products

Retrieve WooCommerce products for use in dynamic email content blocks. Supports filtering by product category. Returns product data along with available product taxonomies. Requires WooCommerce to be active.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Query Parameters

per_page

Number of products to return.

Type
integer
taxType

Product category term ID to filter by. Use 'all' or omit for no filtering.

Type
string

Responses​

List of products and available product taxonomies.

application/json
JSON
{
"products": [
{
"name": "string",
"price_html": "string",
"product_link": "string",
"short_description": "string",
"image": "string"
}
],
"taxonomies": {
"additionalProperties": {
"terms": {
"additionalProperties": [
{
"value": 0,
"label": "string"
}
]
}
}
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI